## Contributing to wrfplot

Thanks for taking the time to think about contributing to a `wrfplot` project. Weather you are a developer or user, you can contribute in your own way.

## Reporting Bugs

Head over to [https://github.com/wxguy/wrfplot/issues](https://github.com/wxguy/wrfplot/issues) for reporting bugs. Before creating bug reports, please check existing issues and pull requests as you might find out that you don’t need to create one.


!!! note

    If you find a Closed issue that seems like it is the same thing that you’re experiencing, open a new issue and include a link to the original issue in the body of your new one.

## Suggesting Enhancements

You can also help us to improve the application, including completely new features and minor improvements to existing functionality. When you are creating a bug report or asking for new functionalities, you have to keep in mind the following:

* Use a clear and descriptive title for the issue to identify the suggestion.
* Provide a step-by-step description of the suggested enhancement in as many details as possible.
* Provide specific examples to demonstrate the steps. Include copy/pasteable snippets which you use in those examples, as Markdown code blocks.
* Describe the current behaviour and explain which behaviour you expected to see instead and why.
* Include screenshots and animated GIFs which help you demonstrate the steps or point out the part of wrfplot which the suggestion is related to.
* Explain why this enhancement would be useful to most wrfplot users.
* List some other analysis software or applications where this enhancement exists.
* Specify the name and version of the OS you’re using.

## Pull Requests

If you feel that you can improve the application that would benefit others, you are most welcome to make a contribution through pull request on GitHub. While making a pull request, please ensure that all necessary aspects associated with new features such as documentation, and examples are properly written.

!!! note
    This document has been inspired by the [contribution guidelines of psyplot](https://psyplot.github.io/psyplot/contribute.html)