# Supported Variables

This page contains the list of supported variables by wrfplot. You can see the same list from your terminal by 
invoking `wrfplot --list-vars` command any time. The variable name starting with `u_` is upper atmospheric data at 
standard pressure levels of `925`, `850`, `700`, `600`, `500`, `400`, `300` and `200` hPa. How to use the variable 
name (first column) will be discussed in the next page.

|  Name of Variable  |             Description with unit              |
|:------------------:|:----------------------------------------------:|    
|        slp         |         Mean Sea Level Pressure (hPa)          |
|       winds        |             10M Surface Winds (Kt)             |
|        rh2         |            2m Relative Humidity (%)            |
|         T2         |              2m Temperature (°C)               |
|       mcape        |              CAPE Maximum (Jkg^1)              |
|        mcin        |     Minimum Convective Inhibition (Jkg^1)      |
|        lcl         |      Lifting Condensation Level (Meters)       |
|        lfc         |       Level of Free Convection (Meters)        |
|        ctt         |           Cloud Top Temperature (°C)           |
|   low_cloudfrac    |             Low Cloud Coverage (%)             |
|   mid_cloudfrac    |           Medium Cloud Coverage (%)            |
|   high_cloudfrac   |            High Cloud Coverage (%)             |
|        mdbz        |           Maximum Reflectivity (dBZ)           |
|      helicity      |       Storm Relative Helicity (m^2s^-2)        |
|         pw         |          Precipitable Water (kgm^-2)           |
|        td2         |         2m Dew Point Temperature (°C)          |
|     ppn_accum      |         Accumulated Precipitation (mm)         |
|      ppn_conv      |         Convective Precipitation (mm)          |
|        ppn         |            Precipitation/ Rain (mm)            |
|     u_theta_e      |     Equivalent Potential Temperature (°C)      |
|       u_avo        |         Absolute Vorticity (10^-5s^-1)         |
|       u_dbz        |               Reflectivity (dBz)               |
|   u_geopotential   |       Geopotential - Mass Grid (m^2s^-2)       |
|       u_omg        |                Omega (Pas^-1s)                 |
|     u_pressure     |           Full Model Pressure (hPa)            |
|       u_pvo        |           Potential Vorticity (PVU)            |
|        u_td        |           Dew Point Temperature (°C)           |
|        u_rh        |             Relative Humidity (%)              |
|      u_theta       |           Potential Temperature (°C)           |
|       u_temp       |                Temperature (°C)                |
|        u_tv        |            Virtual Temperature (°C)            |
|       u_twb        |           Wet Bulb Temperature (°C)            |
| u_updraft_helicity |           Updraft Helicity (m^2s^-2)           |
|      u_winds       |         Wind Speed and Direction (Kt)          |
|       u_cin        |         Convective Inhibition (Jkg^1)          |
|       u_cape       | Convective Available Potential Energy (Jkg^1)  |

